SimpleIntegerProperty (JavaFX 17)

Module javafx.base
Package javafx.beans.property

## Class SimpleIntegerProperty

- java.lang.Object
- - javafx.beans.binding.NumberExpressionBase
  - - javafx.beans.binding.IntegerExpression
    - - javafx.beans.property.ReadOnlyIntegerProperty
      - - javafx.beans.property.IntegerProperty
        - - javafx.beans.property.IntegerPropertyBase
          - - javafx.beans.property.SimpleIntegerProperty

- All Implemented Interfaces:
    `NumberExpression`, `Observable`, `Property<Number>`, `ReadOnlyProperty<Number>`, `ObservableIntegerValue`, `ObservableNumberValue`, `ObservableValue<Number>`, `WritableIntegerValue`, `WritableNumberValue`, `WritableValue<Number>`
  Direct Known Subclasses:
    `ReadOnlyIntegerWrapper`

      public class SimpleIntegerProperty
      extends IntegerPropertyBase

  This class provides a full implementation of a `Property` wrapping a `int` value.
  Since:
    JavaFX 2.0
  See Also:
    `IntegerPropertyBase`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SimpleIntegerProperty()` | The constructor of `IntegerProperty`
    `SimpleIntegerProperty​(int initialValue)` | The constructor of `IntegerProperty`
    `SimpleIntegerProperty​(Object bean, String name)` | The constructor of `IntegerProperty`
    `SimpleIntegerProperty​(Object bean, String name, int initialValue)` | The constructor of `IntegerProperty`

  - ### Method Summary

    - ### Methods declared in class javafx.beans.property.IntegerPropertyBase

      `fireValueChangedEvent, invalidated, toString`

    - ### Methods declared in class javafx.beans.property.IntegerProperty

      `asObject, integerProperty`

    - ### Methods declared in class javafx.beans.property.ReadOnlyIntegerProperty

      `readOnlyIntegerProperty`

    - ### Methods declared in class javafx.beans.binding.IntegerExpression

      `integerExpression, integerExpression`

    - ### Methods declared in class javafx.beans.binding.NumberExpressionBase

      `numberExpression`

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods declared in interface javafx.beans.binding.NumberExpression

      `add, add, add, add, add, asString, asString, asString, divide, divide, divide, divide, divide, greaterThan, greaterThan, greaterThan, greaterThan, greaterThan, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, lessThan, lessThan, lessThan, lessThan, lessThan, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, multiply, multiply, multiply, multiply, multiply, negate, subtract, subtract, subtract, subtract, subtract`

    - ### Methods declared in interface javafx.beans.Observable

      `addListener, removeListener`

    - ### Methods declared in interface javafx.beans.value.ObservableIntegerValue

      `get`

    - ### Methods declared in interface javafx.beans.value.ObservableNumberValue

      `doubleValue, floatValue, intValue, longValue`

    - ### Methods declared in interface javafx.beans.value.ObservableValue

      `addListener, getValue, removeListener`

    - ### Methods declared in interface javafx.beans.property.Property

      `bind, bindBidirectional, isBound, unbind, unbindBidirectional`

    - ### Methods declared in interface javafx.beans.property.ReadOnlyProperty

      `getBean, getName`

    - ### Methods declared in interface javafx.beans.value.WritableIntegerValue

      `get, set, setValue`

    - ### Methods declared in interface javafx.beans.value.WritableValue

      `getValue`

- - ### Constructor Detail

    - #### SimpleIntegerProperty

          public SimpleIntegerProperty()

      The constructor of `IntegerProperty`

    - #### SimpleIntegerProperty

          public SimpleIntegerProperty​(int initialValue)

      The constructor of `IntegerProperty`
      Parameters:
        `initialValue` - the initial value of the wrapped value

    - #### SimpleIntegerProperty

          public SimpleIntegerProperty​(Object bean,
                                       String name)

      The constructor of `IntegerProperty`
      Parameters:
        `bean` - the bean of this `IntegerProperty`
        `name` - the name of this `IntegerProperty`

    - #### SimpleIntegerProperty

          public SimpleIntegerProperty​(Object bean,
                                       String name,
                                       int initialValue)

      The constructor of `IntegerProperty`
      Parameters:
        `bean` - the bean of this `IntegerProperty`
        `name` - the name of this `IntegerProperty`
        `initialValue` - the initial value of the wrapped value